<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>サンプルテンプレート</title>
    <meta name="description" content="サンプルテンプレート">
    <meta name="keywords" content="レストラン,フレンチ,原宿">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="css/reset.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/jquery.js"></script>
</head>
<body>
	
	
<?php
	require_once "functions/db.php";
		
	//URLパラメータを取得します。
	//URLの後ろに?edit=123のような感じでつくのがURLパラメータです。
	$editId = $_GET["edit"];
	//このパラメータをphpで取得することができます。
	//urlを通じて編集するデータのidを受け取ります。
		
	//受け取ったidに一致するデータをデータベースから呼び出して、、、
	$userdataEdit = "select * from userdata where id = '".$editId."' order by id DESC"; 
	$userdataEdit = mysqli_query($mysqli,$userdataEdit);
		
	//もしデータが存在していたら、変数に格納します。
	while ($userdataEditArray = mysqli_fetch_assoc($userdataEdit)) {
		$name = $userdataEditArray["name"];
		$age = $userdataEditArray["age"];
		$skill = $userdataEditArray["skill"];
	};
		
	//データの数を数えます。
	//もしデータが存在していれば1になります。
	//この変数は後で使います。
	$userCount = $userdataEdit->num_rows;
		
	//もし、フォームから投稿された(POSTされた)場合、、
	if ($_SERVER['REQUEST_METHOD'] === 'POST') {
			
		//投稿されたデータを受け取ります。
		$name = htmlspecialchars($_POST['name'], ENT_QUOTES);
		$age = htmlspecialchars($_POST['age'], ENT_QUOTES);
		$skill = htmlspecialchars($_POST['skill'], ENT_QUOTES);
			
		//ここで、データの数をカウントした$userCountを使います。
		//もしデータがデータベースの中に存在したら(数が0じゃなければ)、、、
		if($userCount !== 0){
			//$editIdに一致したデータに上書きします。
			$result = mysqli_query($mysqli,"update userdata set name = '".$name."',age = '".$age."',skill = '".$skill."' where id = '".$editId."'");
		}elseif (!empty($name)||!empty($age)||!empty($skill)){
			//もしデータが0だったら新規で追加します。
			$result = mysqli_query($mysqli,"insert into userdata(name,age,skill) VALUES('$name','$age','$skill')");
		   };
	    
	   };
	        
?>
	
<!--パラメータをつけたURLだと編集画面になるため、パラメータ無しのURLがそのまま新規追加-->
<div style="padding-bottom:15px;">
	<a href="https://base91.net/mission/php/8/">新規追加</a>
</div>
	
<h1>登録フォーム</h1>
<form method="post" action="">
	<!--$editIdがURLパラメータから取得された場合、該当のデータを予めvalueに入れておきます。-->
	<input type="text" name="name" placeholder="お名前" value="<?php echo $name; ?>" /><br/>
	<input type="text" name="age" placeholder="年齢" value="<?php echo $age; ?>" /><br/>
	<input type="text" name="skill" placeholder="スキル" value="<?php echo $skill; ?>" /><br/>
	<?php if($userCount == 0): ?>
	<!--もしidに該当するデータが1つもなければ登録ボタン-->
	<input type="submit" name="submitBtn" value="登録" />
	<?php else: ?>
	<!--もしidに該当するデータが存在していれば更新ボタン-->
	<input type="submit" name="submitBtn" value="更新" />
	<?php endif; ?>
</form>
	
	
<?php
		
	$userdata = "select * from userdata order by id DESC"; 
	$userdata = mysqli_query($mysqli,$userdata);
	
	while ($userdataArray = mysqli_fetch_assoc($userdata)) {
	    echo $id = $userdataArray["id"];
	    echo ",";
		echo $name = $userdataArray["name"];
		echo ",";
		echo $age = $userdataArray["age"];
		echo ",";
		echo $skill = $userdataArray["skill"];
		echo "｜";
		echo "<button class='deleteBtn' data-id='".$id."'>削除する</button>";
		echo "｜";
		//編集ボタンを追加。editBtnを押した時にjsでURLにパラメータを付与。
		echo "<button class='editBtn' data-id='".$id."'>編集する</button>";
		echo "<br>";
	};
		
?>
	
	
<script>
		
	$(".deleteBtn").click(function(){
		var btnid = $(this).data("id");
		deleteData(btnid);
	});
		
	//編集ボタンをeditBtnをクリックすると、、
	$(".editBtn").click(function(){
		//ボタンにセットされたdata-idを取得。
		var btnid = $(this).data("id");
		//URLにパラメータ./?edit={id}をつけて再読み込み。
		window.location.href = "./?edit="+btnid;
		//次の画面でURLパラメータをphpが受け取り、処理。
		//冒頭から読み返してみてください。
	});
		
	function deleteData(btnid){
		$.ajax({
				type: 'POST',
				dataType:'json',
				url:'functions/delete_func.php',
				data:{
					btnid:btnid,
				},
				success:function(data) {
					window.location.href = "./";
				},
				error:function(XMLHttpRequest, textStatus, errorThrown) {
					alert(errorThrown);
				}
		});
	};
		
</script>
	
	
	
	
	
</body>
</html>